summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMarkus Rothe <corsair@gentoo.org>2005-02-17 16:57:26 +0000
committerMarkus Rothe <corsair@gentoo.org>2005-02-17 16:57:26 +0000
commit518cceafce22a17ec44e098daa6bf6148e0921d6 (patch)
tree8ab7196155946a2f5b73fea688ee8b8af6cca436 /eclass
parentStable on ppc64 (diff)
downloadgentoo-2-518cceafce22a17ec44e098daa6bf6148e0921d6.tar.gz
gentoo-2-518cceafce22a17ec44e098daa6bf6148e0921d6.tar.bz2
gentoo-2-518cceafce22a17ec44e098daa6bf6148e0921d6.zip
added ppc64 support to this eclass. see bug #79473
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mozconfig.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/mozconfig.eclass b/eclass/mozconfig.eclass
index 242b76107ec5..03463232f59e 100644
--- a/eclass/mozconfig.eclass
+++ b/eclass/mozconfig.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig.eclass,v 1.5 2004/12/22 21:46:09 gmsoft Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig.eclass,v 1.6 2005/02/17 16:57:26 corsair Exp $
#
# mozconfig.eclass: the new mozilla.eclass
@@ -59,7 +59,7 @@ mozconfig_init() {
# The other builds have an initial --enable-extensions in their
# .mozconfig. The "default" set in configure applies to mozilla
# specifically.
- : >.mozconfig || die "initial mozconfig creation failed"
+ : >.mozconfig || die "initial mozconfig creation failed"
mozconfig_annotate "" --enable-extensions=default ;;
*firefox)
cp browser/config/mozconfig .mozconfig \
@@ -83,7 +83,7 @@ mozconfig_init() {
mozconfig_annotate "from CFLAGS" --enable-optimize=-O0
elif [[ ${ARCH} == hppa ]]; then
mozconfig_annotate "more than -O0 causes segfaults on hppa" --enable-optimize=-O0
- elif [[ ${ARCH} == alpha || ${ARCH} == amd64 || ${ARCH} == ia64 ]]; then
+ elif [[ ${ARCH} == alpha || ${ARCH} == amd64 || ${ARCH} == ia64 || ${ARCH} == ppc64 ]]; then
mozconfig_annotate "more than -O1 causes segfaults on 64-bit (bug 33767)" \
--enable-optimize=-O1
elif is-flag -O1; then
@@ -109,6 +109,10 @@ mozconfig_init() {
append-flags -fPIC
;;
+ ppc64)
+ append-flags -fPIC -mminimal-toc
+ ;;
+
ppc)
# Fix to avoid gcc-3.3.x micompilation issues.
if [[ $(gcc-major-version).$(gcc-minor-version) == 3.3 ]]; then